package SimpleMime;

our $VERSION = '2.0';

our %Mimes = (
 	html => 'text/html; charset=UTF-8',
	xhtml => 'application/xhtml+xml; charset=UTF-8',
	svg => 'image/svg+xml',
        css => 'text/css',
	xls => 'application/vnd.ms-excel',
	XML => 'application/x-server-parsed-xml',
	xml => 'application/xml',
	js => 'text/javascript',
	tex => 'text/latex',
	xul => 'text/xml',
	txt => 'text/plain; charset=UTF-8',
);

sub mimetype {
    my $file = shift;
    if($file =~ /\.(\w+)$/) {
	return $Mimes{$1} if $Mimes{$1};
    }
    return $_[0] ? '' : 'application/octet-stream';
}

1;
